from cryoem.model.rotation cimport Rotation

cdef class Transformation:
    cdef Rotation _rotation
    cdef double[:] _translation
    cpdef transform(self, double[:,:] x, double[:,:] y)

cdef class Transformation2D(Transformation):
    pass

cdef class Transformation3D(Transformation):
    pass
